package com.th.demo.mapping.system;

import com.th.demo.model.system.SysRole;

import java.util.List;

public interface SysRoleMapper {
    int deleteByPrimaryKey(String id);

    int insert(SysRole record);

    int insertSelective(SysRole record);

    SysRole selectByPrimaryKey(String id);

    int updateByPrimaryKeySelective(SysRole record);

    int updateByPrimaryKey(SysRole record);

    List<SysRole> select(  String query,String belongId);


    List<SysRole> selectUserRoleByUserid(String selectUserId, String belongId);

    List<SysRole> selectSystemRoleByUserid(String selectUserId, String belongId);
}